## python-repoze.tm2 2.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d .build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	-rm -rf .build/*

html:
	mkdir -p .build/html .build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) .build/html
	@echo
	@echo "Build finished. The HTML pages are in .build/html."

pickle:
	mkdir -p .build/pickle .build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) .build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files or run"
	@echo "  sphinx-web .build/pickle"
	@echo "to start the sphinx-web server."

web: pickle

htmlhelp:
	mkdir -p .build/htmlhelp .build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) .build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in .build/htmlhelp."

latex:
	mkdir -p .build/latex .build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) .build/latex
	@echo
	@echo "Build finished; the LaTeX files are in .build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p .build/changes .build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) .build/changes
	@echo
	@echo "The overview file is in .build/changes."

linkcheck:
	mkdir -p .build/linkcheck .build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) .build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in .build/linkcheck/output.txt."

## python-repoze.tm2 1.0b2

=== debian/changelog ===
python-repoze.tm2 (1.0b2-1) unstable; urgency=low

  * New upstream version (Closes: #630704)
  * Adopting package.
  * debian/control:
    - drop cdbs and python-support from Build-Depends
    - bump required debhelper version to (>= 7.0.50~)
    - use python (>= 2.6.5~) instead of python-dev in Build-Depends
    - add version (>= 1.0.7+dfsg) to python-sphinx in Build-Depends
    - bump Standards-Version to 3.9.2 (no changes needed)
    - add ${sphinxdoc:Depends} to Depends
  * debian/rules:
    - use simplified dh rules using --with python2,sphinxdoc
  * switch to source format 3.0 (quilt)

 -- Jan Dittberner <jandd@debian.org>  Sat, 04 Feb 2012 13:50:37 +0100

python-repoze.tm2 (1.0a4-3) unstable; urgency=low

  * Orphan package.

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 01 Feb 2012 18:20:22 +0100

python-repoze.tm2 (1.0a4-2) unstable; urgency=low

  * first upload to unstable
  * debian/control:
    - add build-dep on python-transaction (needed at build time), to
      inhibit easy_install to download it
    - bump Standards-Version to 3.8.2 (no changes needed)

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 02 Aug 2009 13:13:38 +0200

python-repoze.tm2 (1.0a4-1) experimental; urgency=low

  * First release (Closes: #531046)

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 29 May 2009 21:59:03 +0200

=== debian/control ===
Source: python-repoze.tm2
Section: python
Priority: extra
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Jan Dittberner <jandd@debian.org>
Build-Depends:
 debhelper (>= 7.0.50~),
 python,
 python-setuptools,
 python-sphinx (>= 1.0.7+dfsg),
 python-transaction
Standards-Version: 3.9.2
Homepage: http://www.repoze.org/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-repoze.tm2/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-repoze.tm2/trunk/

Package: python-repoze.tm2
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
 ${sphinxdoc:Depends},
 python-transaction
Description: Zope-like transaction manager via WSGI middleware
 repoze.tm2 is Python WSGI middleware which uses the ZODB (Zope
 Object DataBase) package's transaction manager to wrap a call to
 its pipeline children inside a transaction.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_clean:
	dh_clean
	find . -type f -name '*.py[co]' -delete
	$(MAKE) -C docs/ clean

override_dh_compress:
	dh_compress -X .js

override_dh_auto_install:
	$(MAKE) -C docs/ html
	dh_auto_install

%:
	dh --with python2,sphinxdoc --buildsystem=python_distutils $@

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/r/repoze.tm2/repoze.tm2-([0-9a-z.]*)\.tar\.gz

## python-repoze.tm2 2.0

=== debian/changelog ===
python-repoze.tm2 (2.0-3) unstable; urgency=low

  [ Debian Janitor ]
  * Use secure URI in debian/watch.
  * Bump debhelper from deprecated 9 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-repoze.tm2-doc: Add Multi-Arch: foreign.
  * Bump debhelper from old 12 to 13.

 -- Sandro Tosi <morph@debian.org>  Fri, 03 Jun 2022 23:34:35 -0400

python-repoze.tm2 (2.0-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Fixed VCS URL (https)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat.

  [ Andrey Rahmatullin ]
  * Drop Python 2 support (Closes: #938133).

 -- Andrey Rahmatullin <wrar@debian.org>  Tue, 24 Sep 2019 12:06:06 +0500

python-repoze.tm2 (2.0-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Jan Dittberner ]
  * New upstream version
  * update debian/docs to match new upstream files
  * switch to pybuild (Closes: #671329)
  * add Python3 support
  * split into separate Python 2, Python 3 and documentation packages
  * bump debian/compat to 9
  * bump Standards-Version to 3.9.6 (no changes)
  * add extend-diff-ignore for egg-info data in debian/source/options
  * install CHANGES.rst as upstream changelog
  * change debian/copyright to machine readable format
  * add uversionmangle option to debian/watch to sort upstream alpha and
    beta versions correctly

 -- Jan Dittberner <jandd@debian.org>  Sun, 05 Oct 2014 12:14:08 +0200

=== debian/control ===
Source: python-repoze.tm2
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Jan Dittberner <jandd@debian.org>
Build-Depends: debhelper-compat (= 13), python3
Build-Depends-Indep: dh-python,
                     python3-sphinx,
                     python3-setuptools,
                     python3-transaction
Standards-Version: 3.9.6
Homepage: http://www.repoze.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-repoze.tm2.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-repoze.tm2

Package: python3-repoze.tm2
Architecture: all
Depends: python3-transaction, ${misc:Depends}, ${python3:Depends}
Recommends: python-repoze.tm2-doc (=${binary:Version})
Description: Zope-like transaction manager WSGI middleware (Python 3)
 repoze.tm2 is Python WSGI middleware which uses the ZODB (Zope
 Object DataBase) package's transaction manager to wrap a call to
 its pipeline children inside a transaction.
 .
 This is the Python 3 version of the package.

Package: python-repoze.tm2-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: Zope-like transaction manager WSGI middleware documentation
 repoze.tm2 is Python WSGI middleware which uses the ZODB (Zope
 Object DataBase) package's transaction manager to wrap a call to
 its pipeline children inside a transaction.
 .
 This is the documentation for python-repoze.tm2 and python3-repoze.tm2.

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE=1
PYBUILD_NAME=python-repoze.tm2

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html docs $(CURDIR)/debian/python-repoze.tm2-doc/usr/share/doc/python-repoze.tm2-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

override_dh_installchangelogs:
	dh_installchangelogs -i CHANGES.rst

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((a|b)\d*)$/$1~$2/ \
https://pypi.python.org/packages/source/r/repoze.tm2/repoze.tm2-([0-9a-z.]*)\.tar\.gz

## python-repoze.tm2 2.2.0

=== debian/changelog ===
python-repoze.tm2 (2.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add Rules-Requires-Root: no.
  * Use Testsuite: autopkgtest-pkg-python.

 -- Colin Watson <cjwatson@debian.org>  Tue, 28 May 2024 10:47:22 +0100

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,8 @@
 Homepage: http://www.repoze.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-repoze.tm2.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-repoze.tm2
+Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-python
 
 Package: python3-repoze.tm2
 Architecture: all
